## org.codehaus.groovy.ast.expr
Class MapEntryExpression

Represents an entry inside a map expression such as 1 : 2.

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Expression` | `keyExpression`
`Expression` | `valueExpression`

Constructor Summary
`MapEntryExpression(Expression keyExpression, Expression valueExpression)`

Method Summary
`Expression` | `getKeyExpression()`
`Expression` | `getValueExpression()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### MapEntryExpression

    public MapEntryExpression(Expression keyExpression, Expression valueExpression)

Method Detail

### getKeyExpression

    public Expression getKeyExpression()

### getValueExpression

    public Expression getValueExpression()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)